package hellojpa;
import java.sql.*;

class Tastk2 {
		
	public static void main(String[] args) {
		Connection dbCon = null;
		Statement stmt = null;
		ResultSet rs = null;
		try{
			// Load the Oracle JDBC driver
			try {
				Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
			} catch (ClassNotFoundException ex) {
				throw new DatabaseException("Can not load the JDBC driver class", ex);
			}
			
			
			// Establish connection to Oracle 10g Express Edition
			try {
				dbCon = DriverManager.getConnection(
					"jdbc:derby:openjpa-database;create=true", "", "");
			} catch (SQLException sqlex) {
				throw new DatabaseException("Can not establish connection", sqlex);
			}
			
			// Create a statement for executing SQL commands
			try {
				stmt = dbCon.createStatement();
			} catch (SQLException sqlex) {
				throw new DatabaseException("Can not create statement", sqlex);
			}
			
			// Execute the SQL command
			try {
				rs = stmt.executeQuery(
				  "SELECT s.NAME, s.ZODIACSIGN, g.NAME FROM STUDENT_2 s INNER JOIN GRADE_2 g ON(S.GRADE_GRADEID=g.GRADEID)");
			} catch (SQLException sqlex) {
				throw new DatabaseException("Error executing SQL query", sqlex);
			}
			// Process the results from the executed SQL command
			try {
				while (rs.next()) {
					String studentName = rs.getString(1);
					String studentZodiac = rs.getString(2);
					String gradeName = rs.getString(3);
					System.out.println(studentName + ", " + studentZodiac + ", "+ gradeName);
				}
			} catch (SQLException sqlex) {
				throw new DatabaseException("Database error", sqlex);
			}
		}
		catch (DatabaseException dbex) {
			dbex.printStackTrace();
		}
		finally {
			if (rs != null) {
				try {
					rs.close();
				} catch (SQLException sqlex) {}
			}
			if (stmt != null) {
				try {
					stmt.close();
				} catch (SQLException sqlex) {}
			}
			if (dbCon != null) {
				try {
					dbCon.close();
				} catch (SQLException sqlex) {}
			}
		}
	}

}
